Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Update content work

PATCH /api/v1/content/work/{workId}

Save interview answers or edited outputs with optimistic revision protection. Never generates, publishes, or sends.

Parameters

workspaceId
string
No description.
workIdrequired
string
No description.
expectedRevisionrequired
integer
No description.
operationKeyrequired
string
No description.
answers
object[]
No description.
outputs
object[]
No description.
interviewAction
string
No description.
continue | stop
profileProposal
object
No description.
confirmProfile
boolean
No description.

Example

REST requestbash
curl -X PATCH "https://app.pipeline.help/api/v1/content/work/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"expectedRevision":1,"operationKey":"example"}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"jobId": {
"type": "string"
},
"kind": {
"type": "string"
},
"objective": {
"type": "string"
},
"publicOwner": {
"type": "string"
},
"status": {
"type": "string"
},
"currentStage": {
"type": [
"string",
"null"
]
},
"plan": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"stage": {
"type": "string"
},
"label": {
"type": "string"
},
"publicOwner": {
"type": "string"
},
"internalRole": {
"type": [
"string",
"null"
]
},
"status": {
"type": "string"
},
"runId": {
"type": [
"string",
"null"
]
},
"approvalKey": {
"type": [
"string",
"null"
]
},
"artifactIds": {
"type": "array",
"items": {
"type": "string"
}
},
"blockedReason": {
"type": [
"string",
"null"
]
},
"retryable": {
"type": "boolean"
},
"startedAt": {
"type": [
"string",
"null"
]
},
"completedAt": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"stage",
"label",
"publicOwner",
"internalRole",
"status",
"runId",
"approvalKey",
"artifactIds",
"blockedReason",
"retryable",
"startedAt",
"completedAt"
],
"additionalProperties": false
}
},
"artifacts": {
"type": "object",
"properties": {
"content": {
"type": "object",
"properties": {
"version": {
"type": "number"
},
"kind": {
"type": "string"
},
"executionMode": {
"type": "string",
"enum": [
"pipeline_hosted",
"external_agent"
]
},
"title": {
"type": "string"
},
"brief": {
"type": "object",
"properties": {
"voiceId": {
"type": [
"string",
"null"
]
},
"linkedinAccountId": {
"type": [
"string",
"null"
]
},
"strategyId": {
"type": [
"string",
"null"
]
},
"pillarIds": {
"type": "array",
"items": {
"type": "string"
}
},
"offerReference": {
"type": [
"string",
"null"
]
},
"audience": {
"type": [
"string",
"null"
]
},
"goal": {
"type": [
"string",
"null"
]
},
"editorialType": {
"type": [
"string",
"null"
]
},
"purpose": {
"type": [
"string",
"null"
]
},
"author": {
"type": [
"string",
"null"
]
},
"reader": {
"type": [
"string",
"null"
]
},
"thesis": {
"type": [
"string",
"null"
]
},
"desiredAction": {
"type": [
"string",
"null"
]
},
"promotionMode": {
"type": "string"
},
"linkedinLength": {
"type": "string"
},
"xLength": {
"type": "string"
},
"seriesCount": {
"type": "number"
},
"exportFormats": {
"type": "array",
"items": {
"type": "string"
}
},
"voiceInstructions": {
"type": [
"string",
"null"
]
},
"pillarContext": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"purpose": {
"type": "string"
}
},
"required": [
"id",
"name",
"purpose"
],
"additionalProperties": false
}
},
"workspaceContext": {
"type": "object",
"properties": {
"companyName": {
"type": [
"string",
"null"
]
},
"serviceDescription": {
"type": [
"string",
"null"
]
},
"icpSummary": {
"type": [
"string",
"null"
]
},
"positioningSummary": {
"type": [
"string",
"null"
]
},
"personas": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"painPoints": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"name",
"painPoints"
],
"additionalProperties": false
}
}
},
"required": [
"companyName",
"serviceDescription",
"icpSummary",
"positioningSummary",
"personas"
],
"additionalProperties": false
}
},
"required": [
"voiceId",
"linkedinAccountId",
"strategyId",
"pillarIds",
"offerReference",
"audience",
"goal",
"editorialType",
"purpose",
"author",
"reader",
"thesis",
"desiredAction",
"promotionMode",
"linkedinLength",
"xLength",
"seriesCount",
"exportFormats"
],
"additionalProperties": false
},
"sources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"pasted_text",
"content_post",
"inspiration_post",
"meeting",
"reply",
"table_aggregate",
"web_research"
]
},
"referenceId": {
"type": [
"string",
"null"
]
},
"title": {
"type": "string"
},
"excerpt": {
"type": "string"
},
"observedAt": {
"type": [
"string",
"null"
]
},
"publicUse": {
"type": "boolean"
},
"revision": {
"type": [
"number",
"null"
]
},
"digest": {
"type": [
"string",
"null"
]
},
"available": {
"type": "boolean"
},
"stale": {
"type": "boolean"
}
},
"required": [
"id",
"kind",
"referenceId",
"title",
"excerpt",
"observedAt",
"publicUse",
"revision",
"digest",
"available",
"stale"
],
"additionalProperties": false
}
},
"evidence": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"sourceId": {
"type": "string"
},
"excerpt": {
"type": "string"
},
"observedAt": {
"type": [
"string",
"null"
]
},
"usage": {
"type": "string",
"enum": [
"private_context",
"public_claim",
"structural_reference"
]
},
"provenance": {
"type": "string"
}
},
"required": [
"id",
"sourceId",
"excerpt",
"observedAt",
"usage",
"provenance"
],
"additionalProperties": false
}
},
"questions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"prompt": {
"type": "string"
},
"answer": {
"type": [
"string",
"null"
]
},
"required": {
"type": "boolean"
}
},
"required": [
"id",
"prompt",
"answer",
"required"
],
"additionalProperties": false
}
},
"outputs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"linkedin_post",
"x_post",
"newsletter",
"youtube_package",
"carousel",
"markdown_resource",
"csv_resource",
"diagnostic",
"brief",
"critique",
"response"
]
},
"title": {
"type": "string"
},
"body": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"needs_review",
"approved",
"superseded"
]
},
"sourceIds": {
"type": "array",
"items": {
"type": "string"
}
},
"sourceRevision": {
"type": "number"
},
"postId": {
"type": [
"string",
"null"
]
},
"stale": {
"type": "boolean"
},
"hookCandidates": {
"type": "array",
"items": {
"type": "string"
}
},
"selectedHook": {
"type": [
"string",
"null"
]
},
"patternId": {
"type": [
"string",
"null"
]
},
"quality": {
"type": [
"object",
"null"
],
"properties": {
"passed": {
"type": "boolean"
},
"normalizedPunctuation": {
"type": "array",
"items": {
"type": "string"
}
},
"hardViolations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"match": {
"type": "string"
}
},
"required": [
"code",
"match"
],
"additionalProperties": false
}
},
"structuralWarnings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"detail": {
"type": "string"
}
},
"required": [
"code",
"detail"
],
"additionalProperties": false
}
},
"rewriteAttempted": {
"type": "boolean"
}
},
"required": [
"passed",
"normalizedPunctuation",
"hardViolations",
"structuralWarnings",
"rewriteAttempted"
],
"additionalProperties": false
},
"lineage": {
"type": [
"object",
"null"
],
"properties": {
"sourceWorkId": {
"type": [
"string",
"null"
]
},
"sourceOutputId": {
"type": [
"string",
"null"
]
},
"sourcePostId": {
"type": [
"string",
"null"
]
},
"sourceRevision": {
"type": "number"
},
"sourceDigest": {
"type": "string"
},
"stale": {
"type": "boolean"
}
},
"required": [
"sourceWorkId",
"sourceOutputId",
"sourcePostId",
"sourceRevision",
"sourceDigest",
"stale"
],
"additionalProperties": false
}
},
"required": [
"id",
"kind",
"title",
"body",
"status",
"sourceIds",
"sourceRevision",
"postId",
"stale",
"hookCandidates",
"selectedHook",
"patternId",
"quality",
"lineage"
],
"additionalProperties": false
}
},
"lineage": {
"type": [
"object",
"null"
],
"properties": {
"sourceWorkId": {
"type": [
"string",
"null"
]
},
"sourceOutputId": {
"type": [
"string",
"null"
]
},
"sourcePostId": {
"type": [
"string",
"null"
]
},
"sourceRevision": {
"type": "number"
},
"sourceDigest": {
"type": "string"
},
"stale": {
"type": "boolean"
}
},
"required": [
"sourceWorkId",
"sourceOutputId",
"sourcePostId",
"sourceRevision",
"sourceDigest",
"stale"
],
"additionalProperties": false
},
"interview": {
"type": "object",
"properties": {
"completed": {
"type": "boolean"
},
"stopped": {
"type": "boolean"
}
},
"required": [
"completed",
"stopped"
],
"additionalProperties": false
},
"profileProposal": {
"type": [
"object",
"null"
],
"properties": {
"version": {
"type": "number"
},
"desiredAssociation": {
"type": "string"
},
"audience": {
"type": "string"
},
"positions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"position": {
"type": "string"
},
"reason": {
"type": "string"
},
"evidenceIds": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"position",
"reason",
"evidenceIds"
],
"additionalProperties": false
}
},
"approvedExperiences": {
"type": "array",
"items": {
"type": "object",
"properties": {
"summary": {
"type": "string"
},
"evidenceIds": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"summary",
"evidenceIds"
],
"additionalProperties": false
}
},
"boundaries": {
"type": "array",
"items": {
"type": "string"
}
},
"styleRules": {
"type": "array",
"items": {
"type": "string"
}
},
"ownSampleIds": {
"type": "array",
"items": {
"type": "string"
}
},
"referenceIds": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"version",
"desiredAssociation",
"audience",
"positions",
"approvedExperiences",
"boundaries",
"styleRules",
"ownSampleIds",
"referenceIds"
],
"additionalProperties": false
},
"profileConfirmedAt": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"version",
"kind",
"executionMode",
"title",
"brief",
"sources",
"evidence",
"questions",
"outputs",
"lineage",
"interview",
"profileProposal",
"profileConfirmedAt",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"required": [
"content"
],
"additionalProperties": false
},
"nextDecision": {
"type": [
"object",
"null"
],
"properties": {
"key": {
"type": "string"
},
"kind": {
"type": "string"
}
},
"required": [
"key",
"kind"
],
"additionalProperties": false
},
"idempotencyKey": {
"type": "string"
},
"revision": {
"type": "number"
},
"startedAt": {
"type": [
"string",
"null"
]
},
"completedAt": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"jobId",
"kind",
"objective",
"publicOwner",
"status",
"currentStage",
"plan",
"artifacts",
"nextDecision",
"idempotencyKey",
"revision",
"startedAt",
"completedAt",
"createdAt",
"updatedAt"
]
}
},
"required": [
"success",
"data"
],
"additionalProperties": false
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline